List all schedules for the organization
curl --request GET \
--url https://api.skyvern.com/v1/schedules \
--header 'x-api-key: <api-key>'import requests
url = "https://api.skyvern.com/v1/schedules"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.skyvern.com/v1/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.skyvern.com/v1/schedules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.skyvern.com/v1/schedules"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.skyvern.com/v1/schedules")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.skyvern.com/v1/schedules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"schedules": [
{
"workflow_schedule_id": "<string>",
"organization_id": "<string>",
"workflow_permanent_id": "<string>",
"workflow_title": "<string>",
"timezone": "<string>",
"enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"cron_expression": "<string>",
"interval_seconds": 123,
"first_fire_at": "2023-11-07T05:31:56Z",
"run_at": "2023-11-07T05:31:56Z",
"dispatch_status": "pending",
"workflow_run_id": "<string>",
"parameters": {},
"name": "<string>",
"description": "<string>",
"next_run": "2023-11-07T05:31:56Z"
}
],
"total_count": 123,
"page": 123,
"page_size": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Schedules
List all schedules for the organization
List every schedule in the organization, across all agents, filterable by active/paused status and a search term matched against agent title or schedule name. Returns a paginated list plus the total count.
GET
/
v1
/
schedules
List all schedules for the organization
curl --request GET \
--url https://api.skyvern.com/v1/schedules \
--header 'x-api-key: <api-key>'import requests
url = "https://api.skyvern.com/v1/schedules"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.skyvern.com/v1/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.skyvern.com/v1/schedules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.skyvern.com/v1/schedules"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.skyvern.com/v1/schedules")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.skyvern.com/v1/schedules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"schedules": [
{
"workflow_schedule_id": "<string>",
"organization_id": "<string>",
"workflow_permanent_id": "<string>",
"workflow_title": "<string>",
"timezone": "<string>",
"enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"cron_expression": "<string>",
"interval_seconds": 123,
"first_fire_at": "2023-11-07T05:31:56Z",
"run_at": "2023-11-07T05:31:56Z",
"dispatch_status": "pending",
"workflow_run_id": "<string>",
"parameters": {},
"name": "<string>",
"description": "<string>",
"next_run": "2023-11-07T05:31:56Z"
}
],
"total_count": 123,
"page": 123,
"page_size": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Your Skyvern API key from https://app.skyvern.com/settings.
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Filter by status: 'active' or 'paused'
Available options:
active, paused Search by workflow title or schedule name

